View Issue Details

IDProjectCategoryView StatusLast Update
0002463Slicer4Core: Usabilitypublic2012-10-03 07:08
ReporterfinetjulAssigned Tofinetjul 
PrioritynormalSeverityminorReproducibilitysometimes
Status closedResolutionfixed 
Product VersionSlicer 4.1.1 
Target VersionSlicer 4.3.0Fixed in VersionSlicer 4.2.0 
Summary0002463: Reformat module doesn't enforce entered value
Description

When manually entering Normal values, the number entered is changed (to ensure unit distance).
This is annoying

TagsNo tags attached.

Activities

finetjul

finetjul

2012-09-11 01:34

administrator   ~0006029

Fixed in r20967

finetjul

finetjul

2012-10-02 12:21

administrator   ~0006340

It's still not very user friendly. When entering a coordinate value, the previous coordinate gets changed.
Thinking about it, maybe the normal coordinate widget could be a bit smarter:

  • when normalizing the number, don't change the 2 last modified values, only the oldest (3rd) should be changed (if possible).
finetjul

finetjul

2012-10-03 07:08

administrator   ~0006364

Fixed in r21095

Issue History

Date Modified Username Field Change
2012-09-03 06:12 finetjul New Issue
2012-09-03 06:12 finetjul Status new => assigned
2012-09-03 06:12 finetjul Assigned To => finetjul
2012-09-11 01:34 finetjul Note Added: 0006029
2012-09-11 01:34 finetjul Status assigned => resolved
2012-09-11 01:34 finetjul Fixed in Version => Slicer 4.2.0 - Feature freeze Sept 1st 2012
2012-09-11 01:34 finetjul Resolution open => fixed
2012-09-11 01:34 finetjul Status resolved => closed
2012-10-02 12:21 finetjul Note Added: 0006340
2012-10-02 12:21 finetjul Status closed => assigned
2012-10-02 12:21 finetjul Target Version Slicer 4.2.0 - coming release => Slicer 4.3.0
2012-10-03 07:08 finetjul Note Added: 0006364
2012-10-03 07:08 finetjul Status assigned => resolved
2012-10-03 07:08 finetjul Status resolved => closed